CRAN Package Check Results for Package mediation

Last updated on 2015-04-21 11:53:01.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 4.4.4 4.02 75.38 79.40 OK --no-vignettes
r-devel-linux-x86_64-debian-gcc 4.4.4 4.04 75.38 79.42 OK --no-vignettes
r-devel-linux-x86_64-fedora-clang 4.4.4 323.99 OK --no-build-vignettes
r-devel-linux-x86_64-fedora-gcc 4.4.4 312.78 OK --no-build-vignettes
r-devel-osx-x86_64-clang 4.4.4 413.52 OK
r-devel-windows-ix86+x86_64 4.4.4 16.00 486.00 502.00 OK
r-patched-linux-x86_64 4.4.4 4.06 75.74 79.80 OK --no-vignettes
r-patched-solaris-sparc 4.4.4 944.20 OK --no-vignettes
r-patched-solaris-x86 4.4.4 633.40 OK
r-release-linux-x86_64 4.4.4 4.00 75.15 79.15 OK --no-vignettes
r-release-osx-x86_64-mavericks 4.4.4 WARN
r-release-osx-x86_64-snowleopard 4.4.4 ERROR
r-release-windows-ix86+x86_64 4.4.4 8.00 348.00 356.00 OK
r-oldrel-windows-ix86+x86_64 4.4.4 17.00 405.00 422.00 OK

Check Details

Version: 4.4.4
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘lme4’
Flavor: r-release-osx-x86_64-mavericks

Version: 4.4.4
Check: running R code from vignettes
Result: WARN
    Errors in running code in vignettes:
    when running code in ‘mediation.Rnw’
     ...
    > plot(sens.out, sens.par = "R2", r.type = "total",
    + sign.prod = "positive")
    
    > data("student", package = "mediation")
    
    > library(lme4)
    
     When sourcing ‘mediation.R’:
    Error: there is no package called ‘lme4’
    Execution halted
Flavor: r-release-osx-x86_64-mavericks

Version: 4.4.4
Check: re-building of vignette outputs
Result: NOTE
    Error in re-building vignettes:
     ...
    Loading required package: MASS
    Loading required package: Matrix
    Loading required package: mvtnorm
    Loading required package: sandwich
    mediation: Causal Mediation Analysis
    Version: 4.4.4
    
    
    Error: processing vignette 'mediation.Rnw' failed with diagnostics:
     chunk 22
    Error in library(lme4) : there is no package called ‘lme4’
    Execution halted
Flavor: r-release-osx-x86_64-mavericks

Version: 4.4.4
Check: package dependencies
Result: ERROR
    Packages required but not available: ‘sandwich’ ‘Hmisc’
    
    Package suggested but not available for checking: ‘quantreg’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-osx-x86_64-snowleopard